This content requires the base game Battle of Empires : 1914-1918 on Steam in order to play.

All Reviews:
Positive (14) - 85% of the 14 user reviews for this game are positive.
Release Date:
Nov 10, 2017
Developer:
Publisher:

Sign in to add this item to your wishlist, follow it, or mark it as not interested

 

About This Content

World War I began from the territory of Austria-Hungary, and the soldiers of the empire sacrifised their lives for the Emperor, fighting on a huge front against all the Entente countries. The large population and developed industry, the help of a powerful ally, allowed to defend on the eastern front, actively advance in the Balkans and achieve successes in Italy.
In this campaign, you will go through the horrors of the siege of Przemyśl, bloody battles on Isonzo's banks, the chilling cold of Tyrol and the heat of the Romanian plains. For the King and the Emperor!

System Requirements

Windows
Mac OS X
SteamOS + Linux
    Minimum:
    • OS: Windows Vista SP1 and higher
    • Processor: 2 GHz Intel Dual Core processor
    • Memory: 500 MB RAM
    • Graphics: 3D Hardware Accelerator Card Required – 100% DirectX 9.0c compatible 128 MB Video Memory. ATI® Radeon® 9600 or Nvidia® GeForce® 5900
    • DirectX: Version 9.0c
    • Storage: 1 GB available space
    • Sound Card: OpenAL Compatible Sound Card
    Recommended:
    • OS: Windows 7 or Windows 8
    • Processor: 3 GHz Intel Quad Core processor
    • Memory: 2 GB RAM
    • Graphics: NVIDIA GeForce GTX 560 or AMD Radeon HD 7750 with 1 GB VRAM or better
    • DirectX: Version 9.0c
    • Storage: 1 GB available space
    • Sound Card: OpenAL Compatible Sound Card
    Minimum:
    • OS: Intel Mac, OS X version 10.9 (Mavericks)
    • Processor: Intel Core i5-1.4GHz
    • Memory: 4 GB RAM
    Recommended:
    • OS: Intel Mac, OS X version 10.11 (El Capitan)
    • Processor: Intel Core i7-2.2GHz
    • Memory: 8 GB RAM
    Minimum:
    • OS: Ubuntu 12.04
    • Processor: 2 GHz Intel Dual Core processor
    • Memory: 4 GB RAM
    • Graphics: 3D Hardware Accelerator Card Required - OpenGL 3.0 compatible
    Recommended:
    • OS: Ubuntu 15.04
    • Processor: Intel Core i5-2.5GHz
    • Memory: 8 GB RAM
    • Graphics: NVIDIA GeForce GTX 560 or AMD Radeon HD 7750 with 1 GB VRAM or better

More DLCs from this game

Customer reviews

Review Type


Purchase Type


Language


Date Range
To view reviews within a date range, please click and drag a selection on a graph above or click on a specific bar.

Show graph



Display As:
Show graph
 
Hide graph
 
Filters
Excluding Off-topic Review Activity
Loading reviews...